package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;

public class TbPlussNewMccInfo implements Serializable {
    private Integer fId;

    private String fMccCode;

    private String fMccTxt;

    private String fFatherCode;

    private String fGrandpaCode;

    private String fFatherTxt;

    private String fGrandpaTxt;

    private Integer fCommission;

    private Integer fMaxCommissionOneTransaction;

    private Byte fMccType;

    private String fMccTypeTxt;

    private Integer fDailyLimit;

    private Integer fNoPinFlag;

    private static final long serialVersionUID = 1L;

    public Integer getfId() {
        return fId;
    }

    public void setfId(Integer fId) {
        this.fId = fId;
    }

    public String getfMccCode() {
        return fMccCode;
    }

    public void setfMccCode(String fMccCode) {
        this.fMccCode = fMccCode == null ? null : fMccCode.trim();
    }

    public String getfMccTxt() {
        return fMccTxt;
    }

    public void setfMccTxt(String fMccTxt) {
        this.fMccTxt = fMccTxt == null ? null : fMccTxt.trim();
    }

    public String getfFatherCode() {
        return fFatherCode;
    }

    public void setfFatherCode(String fFatherCode) {
        this.fFatherCode = fFatherCode == null ? null : fFatherCode.trim();
    }

    public String getfGrandpaCode() {
        return fGrandpaCode;
    }

    public void setfGrandpaCode(String fGrandpaCode) {
        this.fGrandpaCode = fGrandpaCode == null ? null : fGrandpaCode.trim();
    }

    public String getfFatherTxt() {
        return fFatherTxt;
    }

    public void setfFatherTxt(String fFatherTxt) {
        this.fFatherTxt = fFatherTxt == null ? null : fFatherTxt.trim();
    }

    public String getfGrandpaTxt() {
        return fGrandpaTxt;
    }

    public void setfGrandpaTxt(String fGrandpaTxt) {
        this.fGrandpaTxt = fGrandpaTxt == null ? null : fGrandpaTxt.trim();
    }

    public Integer getfCommission() {
        return fCommission;
    }

    public void setfCommission(Integer fCommission) {
        this.fCommission = fCommission;
    }

    public Integer getfMaxCommissionOneTransaction() {
        return fMaxCommissionOneTransaction;
    }

    public void setfMaxCommissionOneTransaction(Integer fMaxCommissionOneTransaction) {
        this.fMaxCommissionOneTransaction = fMaxCommissionOneTransaction;
    }

    public Byte getfMccType() {
        return fMccType;
    }

    public void setfMccType(Byte fMccType) {
        this.fMccType = fMccType;
    }

    public String getfMccTypeTxt() {
        return fMccTypeTxt;
    }

    public void setfMccTypeTxt(String fMccTypeTxt) {
        this.fMccTypeTxt = fMccTypeTxt == null ? null : fMccTypeTxt.trim();
    }

    public Integer getfDailyLimit() {
        return fDailyLimit;
    }

    public void setfDailyLimit(Integer fDailyLimit) {
        this.fDailyLimit = fDailyLimit;
    }

    public Integer getfNoPinFlag() {
        return fNoPinFlag;
    }

    public void setfNoPinFlag(Integer fNoPinFlag) {
        this.fNoPinFlag = fNoPinFlag;
    }
}